.responsive body { min-width: 240px; }
.responsive img
{
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.responsive .demo-content-layout img, .responsive .demo-content-layout video
{
	max-width: 100%;
	height: auto !important;
}
.responsive.responsive-phone .demo-content-layout img { margin: 1%; }
.responsive.responsive-phone .demo-collage, .responsive.responsive-tablet .demo-collage { margin: 0 !important; }
.responsive .demo-content-layout .demo-sidebar0, .responsive .demo-content-layout .demo-sidebar1, .responsive .demo-content-layout .demo-sidebar2 { width: auto !important; }
.responsive .demo-content-layout, .responsive .demo-content-layout-row, .responsive .demo-layout-cell
{
	padding: 0;
	display: block;
}
.responsive .image-caption-wrapper { width: auto; }
.responsive.responsive-tablet .demo-vmenublock, .responsive.responsive-tablet .demo-block
{
	margin-left: 1%;
	margin-right: 1%;
	width: 48%;
	float: left;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.responsive .demo-responsive-embed
{
	height: 0;
	padding-bottom: 56.25%;
	/* 16:9 */
	position: relative;
}
.responsive .demo-responsive-embed iframe, .responsive .demo-responsive-embed object, .responsive .demo-responsive-embed embed
{
	height: 100%;
	left: 0;
	position: absolute;
	top: 0;
	width: 100%;
}
.responsive .demo-sheet
{
	width: auto !important;
	min-width: 240px !important;
	max-width: none !important;
	margin-right: 1% !important;
	margin-left: 1% !important;
	margin-top: 1% !important;
}
#demo-resp { display: none; }
 @media all and (max-width: 999px) {
#demo-resp, #demo-resp-t { display: block; }
#demo-resp-m { display: none; }
}
 @media all and (max-width: 480px) {
#demo-resp, #demo-resp-m { display: block; }
#demo-resp-t { display: none; }
}
#demo-resp-desktop { display: none; }
#demo-resp-tablet-landscape { display: none; }
#demo-resp-tablet-portrait { display: none; }
#demo-resp-phone-landscape { display: none; }
#demo-resp-phone-portrait { display: none; }
 @media (min-width: 1200px) {
#demo-resp-desktop { display: block; }
}
 @media (min-width: 980px) and (max-width: 1199px) {
#demo-resp-tablet-landscape { display: block; }
}
 @media (min-width: 768px) and (max-width: 979px) {
#demo-resp-tablet-portrait { display: block; }
}
 @media (min-width: 480px) and (max-width: 767px) {
#demo-resp-phone-landscape { display: block; }
}
 @media (max-width: 479px) {
#demo-resp-phone-portrait { display: block; }
}
.responsive .demo-header
{
	width: auto !important;
	max-width: none !important;
	min-height: 100px !important;
	min-width: 0 !important;
	text-align: center;
}
.default-responsive .demo-header { height: auto; }
.default-responsive .demo-header *
{
	position: relative;
	text-align: center;
	-webkit-transform: none !important;
	-moz-transform: none !important;
	-o-transform: none !important;
	-ms-transform: none !important;
	transform: none !important;
}
.default-responsive .demo-header .demo-headline, .default-responsive .demo-header .demo-slogan
{
	display: block !important;
	top: 0 !important;
	left: 0 !important;
	margin: 2% !important;
	text-align: center !important;
}
.default-responsive .demo-header .demo-headline a, .default-responsive .demo-header .demo-slogan { white-space: normal !important; }
.default-responsive .demo-header .demo-logo
{
	display: inline-block;
	margin: auto !important;
	left: auto;
	top: auto !important;
	width: auto;
	height: auto;
}
.responsive .demo-header .demo-slidenavigator { position: absolute; }
.default-responsive .demo-header .demo-positioncontrol
{
	top: auto !important;
	right: auto !important;
	bottom: auto !important;
	left: auto !important;
	width: auto;
	height: auto;
	margin: auto;
}
.responsive .demo-header #demo-flash-area { display: none; }
/* Search and other elements in header element directly */
.default-responsive .demo-header>.demo-textblock
{
	position: relative !important;
	display: block !important;
	margin: 1% auto !important;
	width: 75% !important;
	top: auto !important;
	right: auto !important;
	bottom: auto !important;
	left: auto !important;
}
.default-responsive .demo-header .demo-textblock
{
	position: relative !important;
	display: block !important;
	margin: auto !important;
	left: 0 !important;
	right: 0 !important;
	top: auto !important;
	height: auto !important;
	width: auto;
	background-image: none;
}
/* '.demo-header *' used noram align, but for '.demo-textblock *' we must force align because of preview */
.responsive .demo-header .demo-textblock * { text-align: center !important; }
.default-responsive .demo-header .demo-shapes > .demo-textblock, .default-responsive .demo-header .demo-slide-item > .demo-textblock { display: none !important; }
.default-responsive .demo-header .demo-shapes > .demo-textblock *
{
	text-align: center !important;
	width: auto !important;
	height: auto !important;
	display: block;
}
.default-responsive .demo-header .demo-slider .demo-textblock *
{
	text-align: center !important;
	width: auto !important;
	height: auto !important;
	display: block;
}
/* For icons like facebook, rss, etc. */
.responsive .demo-header>.demo-textblock>div { width: 100%; }
/* dynamic width nav */
.responsive nav.demo-nav, .responsive .demo-nav-inner
{
	width: auto !important;
	position: relative !important;
	top: auto !important;
	left: auto !important;
	right: auto !important;
	bottom: auto !important;
	margin-top: 0;
	margin-bottom: 0;
	min-width: 0;
	text-align: center !important;
}
.responsive nav.demo-nav { min-width: 1%; }
.responsive .demo-nav
{
	padding-left: 0;
	padding-right: 0;
}
/* full width hmenu, instead of inline-block */
.responsive .demo-nav ul.demo-hmenu
{
	float: none;
	text-align: center;
	display: none;
}
/* elements on different lines */
.responsive .demo-nav ul.demo-hmenu li, .responsive .demo-hmenu-extra1, .responsive .demo-hmenu-extra2 { float: none; }
/* horizontal margins */
.responsive .demo-nav ul.demo-hmenu>li:first-child, .responsive .demo-nav ul.demo-hmenu>li:last-child, .responsive .demo-nav ul.demo-hmenu>li
{
	margin-left: 0;
	margin-right: 0;
}
/* separator */ 
.responsive .demo-nav ul.demo-hmenu>li:before { display: none; }
/* vertical distance between items */
.responsive .demo-nav ul.demo-hmenu a
{
	margin-top: 1px !important;
	margin-bottom: 1px !important;
	height: auto;
	white-space: normal;
}
.responsive .demo-nav ul.demo-hmenu>li:first-child>a { margin-top: 0 !important; }
.responsive .demo-nav ul.demo-hmenu>li:last-child>a { margin-bottom: 0 !important; }
/* fixes for extended menu */
.responsive .demo-nav .ext, .responsive .demo-nav ul.demo-hmenu>li>ul, .responsive .demo-nav ul.demo-hmenu>li>ul>li, .responsive .demo-nav ul.demo-hmenu>li>ul>li a { width: auto !important; }
/* submenu position on hover */
.responsive .demo-nav ul.demo-hmenu ul
{
	left: auto !important;
	right: auto !important;
	top: auto !important;
	bottom: auto !important;
	display: none !important;
	position: relative !important;
	visibility: visible !important;
}
.responsive .demo-nav ul.demo-hmenu li.active>ul { display: block !important; }
.responsive .demo-nav ul.demo-hmenu ul li.active>a { font-weight: bold; }
.demo-nav .demo-menu-btn
{
	border: 1px solid #404040;
	border-radius: 3px;
	box-shadow: 0 0 3px 0 rgba(0, 0, 0, .2);
	display: none;
	-svg-background: linear-gradient(to bottom, #707070 0, #000 100%);
	background: -ms-linear-gradient(top, #707070 0, #000 100%);
	background: -moz-linear-gradient(top, #707070 0, #000 100%);
	background: -o-linear-gradient(top, #707070 0, #000 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #707070), color-stop(1, #000));
	background: -webkit-linear-gradient(top, #707070 0, #000 100%);
	background: linear-gradient(to bottom, #707070 0, #000 100%);
	margin: 3px;
	outline: none;
	padding: 5px;
	position: relative;
	vertical-align: bottom;
	width: 20px;
}
.demo-nav .demo-menu-btn span
{
	background: #E0E0E0;
	border-radius: 2px;
	display: block;
	height: 3px;
	margin: 3px 1px;
	position: relative;
	-moz-transition: background .2s;
	-o-transition: background .2s;
	-webkit-transition: background .2s;
	transition: background .2s;
}
.demo-nav .demo-menu-btn:hover span { background: #f3f3f3; }
.responsive .demo-nav .demo-menu-btn { display: inline-block; }
.responsive .demo-nav .demo-hmenu.visible { display: block; }
.responsive .demo-nav ul.demo-hmenu>li>ul>li:first-child:after { display: none; }
.responsive .demo-nav ul.demo-hmenu ul a { padding-left: 4% !important; }
.responsive .demo-nav ul.demo-hmenu ul ul a { padding-left: 6% !important; }
.responsive .demo-nav ul.demo-hmenu ul ul ul a { padding-left: 8% !important; }
.responsive .demo-nav ul.demo-hmenu ul ul ul ul a { padding-left: 10% !important; }
.responsive .demo-nav ul.demo-hmenu ul ul ul ul ul a { padding-left: 12% !important; }
.responsive .demo-nav ul.demo-hmenu>li>ul { padding: 5px; }
.responsive .demo-nav ul.demo-hmenu>li>ul:before
{
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
.responsive .demo-content-layout, .responsive .demo-content-layout-row, .responsive .demo-layout-cell { display: block; }
.responsive .demo-layout-cell
{
	width: auto !important;
	height: auto !important;
}
.responsive .demo-content-layout:after, .responsive .demo-content-layout-row:after, .responsive .demo-layout-cell:after
{
	content: ".";
	display: block;
	height: 0;
	clear: both;
	visibility: hidden;
}
.responsive .demo-post { border-radius: 0; }
.responsive .demo-footer-inner { min-width: 0; }
.responsive .demo-footer { margin-top: 1%; }
.responsive .responsive-tablet-layout-cell
{
	width: 50% !important;
	float: left;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.responsive .responsive-layout-row-3 .responsive-tablet-layout-cell { width: 33.33% !important; }
